Bug 68795 - wget fails to interpret ~# characters in ftp password
wget fails to interpret ~# characters in ftp password
Product: Red Hat Linux
Classification: Retired
Component: wget (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
  Show dependency treegraph
Reported: 2002-07-14 07:34 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-14 07:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-14 07:34:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020610

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
use a command like wget ftp://username:secret#~word@www.website.co.uk/

where username is valid for the server and the password contains the # and ~ chars

Actual Results:  returns with 
--12:01:13--  ftp://username:*password*@www.website.co.uk/
           => `.listing'
Resolving www.website.co.uk... done.
Connecting to www.website.co.uk[]:21... connected.
Logging in as username ...
Login incorrect.

Expected Results:  successful login and download of files

Additional info:

this still happens if the #~ chars are urlencoded

upgrading wget to GNU Wget 1.8.2 solves the problem
Comment 1 Trond Eivind Glomsrxd 2002-07-15 10:19:27 EDT
1.8.2 is what is in rawhide.
Comment 2 Need Real Name 2002-07-16 16:05:48 EDT
it's still broken in 7.3 though !!??

Note You need to log in before you can comment on or make changes to this bug.